Android-Kompatibilitätspaket enthält nicht Activity.getFragmentManager ()

Ich habe versucht, Fragmente zu meiner Android-App hinzuzufügen, die auf 2.1 basiert, mit dem Android-Kompatibilitätspaket, das gerade am 3. März herauskam. Ich habe die Bibliothek in mein Projekt aufgenommen und habe begonnen, den Code von meiner Activity-basierten Klasse zu einem Fragment-basierten zu bewegen, aber ich habe festgestellt, dass die Fragment-Beispiele von Google auf die Tatsache zurückgreifen, dass die Activity-Klasse in 3.0 (Honeycomb) Hat die neue Methode getFragmentManager (). Es scheint ein integraler Haken in das Fragmentsystem zu sein.

Ich habe versucht, in die Kompatibilitätspaket-Bibliothek für einige eingeschlossene Aktivitätsimplementierung zu sehen, die getFragmentManager () hat, aber ich kann es nicht finden. Weiß jemand, wo ich getFragmentManager () finden kann, damit ich Fragmente für Wabenkompatibilität einschließen kann oder wenn du nicht weißt, wie ich Fragmente ohne einen FragmentManager einschließen kann?

  • Button Hervorhebung Verhalten geändert auf Froyo?
  • Wie kann ich OptionsMenu auf NavigationDrawer mit Fragmenten ausblenden?
  • Beenden Sie die Aufrufaktivität, wenn AsyncTask abgeschlossen ist
  • SmoothScrollToPosition nach notifyDataSetChanged funktioniert nicht in Android
  • Gibt es eine bessere Möglichkeit, OpenGL zu debuggen, als nach jedem Befehl glGetError aufzurufen?
  • Hinzufügen einer Schaltfläche unter einer Listenansicht auf Android
  • Pixel-basierte Kollisionserkennung Problem mit OpenGLES 2.0 unter Android
  • Android verstecken listview scrollbar?
  • Handle Button Klick in eine Zeile in RecyclerView
  • Android ViewPager-Scrolling-Problem mit nur einem Element bei Verwendung von getPageWidth aus PagerAdapter
  • So erstellen Sie Android Apps mit Delphi
  • Benutzerdefinierter Cursoradapter, der bindView mehrmals aufruft
  • 3 Solutions collect form web for “Android-Kompatibilitätspaket enthält nicht Activity.getFragmentManager ()”

    Sie müssen FragmentActivity anstelle der normalen Activity . Dann kannst du getSupportFragmentManager() anrufen, das getSupportFragmentManager() funktioniert wie getFragmentManager() .

    Sie müssen nur Ihr Android Target auf API Level = 12 ändern

    Für Leute, die versuchen, diese Arbeit mit Google Maps SDK zu machen, sehe getFragmentManager mit API8 und erinnere dich, deine Layoutdatei zu aktualisieren!

    Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.